User Solar Inverters
Reauthenticate a user's inverter
Reauthenticate an inverter related to a specific user under a specific organization.
POST
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
inverters
/
{inverter_id}
/
auth_session
Reauthenticate a user's inverter
curl --request POST \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/auth_session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"success_url": "<string>",
"cancel_url": "<string>"
}
'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/auth_session"
payload = {
"success_url": "<string>",
"cancel_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({success_url: '<string>', cancel_url: '<string>'})
};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/inverters/{inverter_id}/auth_session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authentication_url": "<string>",
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization ID of the user's organization
The user ID of the user whom the inverter belongs to
The ID of the inverter to be reauthenticated
Was this page helpful?
⌘I
Reauthenticate a user's inverter
